Package tigase.component.exceptions

# Class ComponentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
tigase.xmpp.XMPPException
tigase.xmpp.XMPPProcessorException
tigase.component.exceptions.ComponentException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `StreamManagementIOProcessor.ResumptionException`

public class ComponentException extends XMPPProcessorException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentException(Authorization errorCondition)`
  `ComponentException(Authorization errorCondition, String text)`
  `ComponentException(Authorization errorCondition, String text, String message)`
  `ComponentException(Authorization errorCondition, String text, String message, Throwable cause)`
  `ComponentException(Authorization errorCondition, String text, Throwable cause)`

- ## Method Summary

  ### Methods inherited from class tigase.xmpp.XMPPProcessorException

  `getCode, getErrorCondition, getErrorMessagePrefix, getMessage, getMessageWithPosition, getName, getText, getType, makeElement`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ComponentException

    public ComponentException(Authorization errorCondition)

  - ### ComponentException

    public ComponentException(Authorization errorCondition, String text)

  - ### ComponentException

    public ComponentException(Authorization errorCondition, String text, Throwable cause)

  - ### ComponentException

    public ComponentException(Authorization errorCondition, String text, String message)

  - ### ComponentException

    public ComponentException(Authorization errorCondition, String text, String message, Throwable cause)